<?php
/**
 * Dynamic CSS
 */
function aster_it_courses_dynamic_css() {
	$aster_it_courses_primary_color = get_theme_mod( 'aster_it_courses_primary_color', '#00369A' );

	$aster_it_courses_site_title_font       = get_theme_mod( 'aster_it_courses_site_title_font', 'Nunito Sans' );
	$aster_it_courses_site_description_font = get_theme_mod( 'aster_it_courses_site_description_font', 'Nunito Sans' );
	$aster_it_courses_header_font           = get_theme_mod( 'aster_it_courses_header_font', 'Nunito Sans' );
	$aster_it_courses_content_font          = get_theme_mod( 'aster_it_courses_content_font', 'Nunito Sans' );

	// Enqueue Google Fonts
	$aster_it_courses_fonts_url = aster_it_courses_get_fonts_url();
	if ( ! empty( $aster_it_courses_fonts_url ) ) {
		wp_enqueue_style( 'aster-it-courses-google-fonts', esc_url( $aster_it_courses_fonts_url ), array(), null );
	}

	$aster_it_courses_custom_css  = '';
	$aster_it_courses_custom_css .= '
    /* Color */
    :root {
        --primary-color: ' . esc_attr( $aster_it_courses_primary_color ) . ';
        --header-text-color: ' . esc_attr( '#' . get_header_textcolor() ) . ';
    }
    ';

	$aster_it_courses_custom_css .= '
    /* Typography */
    :root {
        --font-heading: "' . esc_attr( $aster_it_courses_header_font ) . '", serif;
        --font-main: -apple-system, BlinkMacSystemFont, "' . esc_attr( $aster_it_courses_content_font ) . '", "Segoe UI", Roboto, Oxygen-Sans, Ubuntu, Cantarell, "Helvetica Neue", sans-serif;
    }

    body,
	button, input, select, optgroup, textarea, p {
        font-family: "' . esc_attr( $aster_it_courses_content_font ) . '", serif;
	}

	.site-identity p.site-title, h1.site-title a, h1.site-title, p.site-title a, .site-branding h1.site-title a, header.site-header .header-main-wrapper:not(.transparent-header) .bottom-header-outer-wrapper .bottom-header-part .bottom-header-part-wrapper .site-branding .site-identity .site-title .banner-text {
        font-family: "' . esc_attr( $aster_it_courses_site_title_font ) . '", serif;
	}
    
	p.site-description {
        font-family: "' . esc_attr( $aster_it_courses_site_description_font ) . '", serif !important;
	}
    ';

	wp_add_inline_style( 'aster-it-courses-style', $aster_it_courses_custom_css );
}
add_action( 'wp_enqueue_scripts', 'aster_it_courses_dynamic_css', 99 );